"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff933839c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383b00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383ba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383c40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383ce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383d80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383e20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383ec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff93383f60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e840e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e842c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e844a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e845e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e847c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e849a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84a40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84ae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84c20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84cc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84d60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84e00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84ea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84f40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e84fe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e851c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e853a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e854e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e856c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e858a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e859e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85a80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85b20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85bc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85c60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85da0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85e40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e85f80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e860c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e862a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e863e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e865c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e867a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e868e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86a20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86ac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86b60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86ca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86c00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86d40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86de0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff91e86e80>)]
name: str = 'fr_HOCCN'
